/*
 * Class UTF_CONVERTER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_23 [] = {0xFF01,613,22,0xFFFF};
static const EIF_TYPE_INDEX egt_2_23 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_23 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_23 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_23 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_6_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_7_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_8_23 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_9_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_12_23 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_23 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_15_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_16_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_17_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_18_23 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_19_23 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_20_23 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_21_23 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_22_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_25_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_27_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_28_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_29_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_30_23 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_31_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_32_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_33_23 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_34_23 [] = {0xFF01,677,203,0xFFFF};
static const EIF_TYPE_INDEX egt_35_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_36_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_37_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_38_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_39_23 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_40_23 [] = {0xFF01,57,0xFFFF};


static const struct desc_info desc_23[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_23), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_23), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x2D /*22*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_23), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_23), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x2D /*22*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x2D /*22*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_23), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_23), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_23), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_23), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_23), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x2D /*22*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x2D /*22*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 620, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 621, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 624, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 625, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 626, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_23), 627, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 628, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_23), 629, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 631, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_23), 632, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 633, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 634, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 635, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_23), 636, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_23), 637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_23), 638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 639, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_23), 640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 641, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_23), 642, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 643, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_23), 644, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 645, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_23), 646, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_23), 647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_23), 648, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_23), 649, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 652, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 653, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_23), 654, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 656, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_23), 657, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 658, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_23), 659, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 660, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_23), 661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 662, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_23), 663, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 664, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_23), 665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 666, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_23), 667, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 668, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_23), 669, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 670, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_23), 671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 672, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_23), 673, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 674, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_23), 675, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 676, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_23), 677, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_23), 678, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_23), 679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_23), 680, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_23), 681, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_23), 682, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_23), 683, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 615, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 616, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_23), 617, 0xFFFFFFFF},
};
void Init23(void)
{
	IDSC(desc_23, 0, 22);
	IDSC(desc_23 + 1, 1, 22);
	IDSC(desc_23 + 32, 83, 22);
}


#ifdef __cplusplus
}
#endif
